use crate::game::*;

use bevy::prelude::*;

pub fn setup(commands: &mut Commands, asset_server: &Res<AssetServer>) {
	let font = asset_server.get_handle("UacariLegacy-Thin.ttf");
	commands
		.spawn_bundle(Text2dBundle {
			text: Text::from_section(
				"GAME OVER",
				TextStyle {
					font: font.clone(),
					font_size: 48.0,
					color: Color::WHITE,
				},
			)
			.with_alignment(TextAlignment::CENTER),
			transform: Transform::from_xyz(0., 128.0, 0.),
			..Default::default()
		})
		.insert(Level);
	commands
		.spawn_bundle(Text2dBundle {
			text: Text::from_section(
				"There is no more light to combine.",
				TextStyle {
					font,
					font_size: 32.0,
					color: Color::WHITE,
				},
			)
			.with_alignment(TextAlignment::CENTER),
			..Default::default()
		})
		.insert(Level);
}
